Download Ansible Playbooks#

Note

Use these steps if you are not using the Installer Agent. NVIDIA recommends the Installer Agent, which downloads the playbooks for you.

  1. Download the latest automation packages from the Holoscan for Media Platform Setup resource using an NGC API key:

    • openshift-install-playbook.tar.gz: Installs the cluster using an Ansible playbook

    • openshift-config-playbook.tar.gz: Configures the cluster using an Ansible playbook

    To download the packages from the command line instead, run the following commands. Replace <API-KEY> with your NGC API key.

    curl -fsSLO "https://api.ngc.nvidia.com/v2/org/nvidia/team/holoscan-for-media/resources/automation/versions/0.6.0/files/openshift-install-playbook.tar.gz" -H "Authorization: Bearer <API-KEY>"
    curl -fsSLO "https://api.ngc.nvidia.com/v2/org/nvidia/team/holoscan-for-media/resources/automation/versions/0.6.0/files/openshift-config-playbook.tar.gz" -H "Authorization: Bearer <API-KEY>"
    
  2. Create the following directory structure:

    openshift-automation/
    ├── installation/             # Cluster installation playbooks
    └── configuration/            # Cluster configuration playbooks
    

    Run the following command to create these directories:

    mkdir -p openshift-automation/{installation,configuration}
    
  3. Extract openshift-install-playbook.tar.gz to the installation directory and openshift-config-playbook.tar.gz to the configuration directory. Run the following commands from the directory that contains both packages and the openshift-automation directory:

    tar -xzf openshift-install-playbook.tar.gz -C openshift-automation/installation
    tar -xzf openshift-config-playbook.tar.gz -C openshift-automation/configuration
    

Verify that the resulting directory structure matches the following:

openshift-automation/
├── installation/             # Cluster installation playbooks
│   ├── README.md
│   ├── assets/
│   ├── boot_hosts_with_iso_cisco.yaml
│   ├── boot_hosts_with_iso_default.yaml
│   ├── boot_hosts_with_iso.yaml
│   ├── boot_hosts.yaml
│   ├── check_cluster_install_status.yaml
│   ├── create_cluster.yaml
│   ├── generate_api_token.yaml
│   ├── main.yaml
│   ├── validate_cluster_config.yaml
│   └── wait_for_host_discovery.yaml
└── configuration/            # Cluster configuration playbooks
    ├── README.md
    ├── additional-services/
    ├── components/
    ├── filter_plugins/
    ├── operators/
    ├── resources/
    ├── tuning/
    ├── utils/
    ├── validate-custom-vars/
    ├── custom-vars.yaml
    ├── main.yaml
    └── requirements.txt